Package com.avaya.clientservices.network.security

## Class SecurityUtils

- java.lang.Object
- - com.avaya.clientservices.network.security.SecurityUtils

-     public class SecurityUtils
      extends java.lang.Object

  Some security utils so that code isn't duplicated.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String[]` | `SUPPORTED_CIPHER_SUITES` | Deprecated. Use `Client.getConfiguredCipherSuites()` instead.
    `static java.lang.String[]` | `SUPPORTED_PROTOCOLS` |
    `static java.lang.String[]` | `SUPPORTED_PROTOCOLS_TLS1_1` |
    `static java.lang.String[]` | `SUPPORTED_PROTOCOLS_TLS1_2` |
    `static java.lang.String[]` | `SUPPORTED_PROTOCOLS_TLS1_3` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SecurityUtils()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `secure​(javax.net.ssl.SSLEngine sslEngine)` |
    `static void` | `secure​(javax.net.ssl.SSLEngine sslEngine, TLSProtocolVersion minTLS)` |
    `static void` | `secure​(javax.net.ssl.SSLSocket sslSocket)` |
    `static void` | `secure​(javax.net.ssl.SSLSocket sslSocket, TLSProtocolVersion minTLS)` |
    `static void` | `updateConfiguredSSLCipherSuites​(java.util.List<java.lang.String> configuredCipherSuites)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SUPPORTED_PROTOCOLS

          public static final java.lang.String[] SUPPORTED_PROTOCOLS

    - #### SUPPORTED_PROTOCOLS_TLS1_1

          public static final java.lang.String[] SUPPORTED_PROTOCOLS_TLS1_1

    - #### SUPPORTED_PROTOCOLS_TLS1_2

          public static final java.lang.String[] SUPPORTED_PROTOCOLS_TLS1_2

    - #### SUPPORTED_PROTOCOLS_TLS1_3

          public static final java.lang.String[] SUPPORTED_PROTOCOLS_TLS1_3

    - #### SUPPORTED_CIPHER_SUITES

          public static final java.lang.String[] SUPPORTED_CIPHER_SUITES

      Deprecated.
      Use `Client.getConfiguredCipherSuites()` instead.

  - ### Constructor Detail

    - #### SecurityUtils

          public SecurityUtils()

  - ### Method Detail

    - #### updateConfiguredSSLCipherSuites

          public static void updateConfiguredSSLCipherSuites​(java.util.List<java.lang.String> configuredCipherSuites)

    - #### secure

          public static void secure​(javax.net.ssl.SSLEngine sslEngine)

    - #### secure

          public static void secure​(javax.net.ssl.SSLSocket sslSocket)

    - #### secure

          public static void secure​(javax.net.ssl.SSLEngine sslEngine,
                                    TLSProtocolVersion minTLS)

    - #### secure

          public static void secure​(javax.net.ssl.SSLSocket sslSocket,
                                    TLSProtocolVersion minTLS)